package org.wcs.constant.enums.plc;

import lombok.Getter;

/**
 * 堆垛机控制方式枚举
 */
@Getter
public enum StackerControllerModelEnum {

    OFF_LINE(0, "离线"),
    SELF_LEARNING(1, "自学习"),
    DEBUG(2, "调试模式"),
    MANUAL(3, "手动模式"),
    ALONE(4, "单机模式"),
    AUTO(5, "自动模式");

    private final Integer code;
    private final String desc;

    StackerControllerModelEnum(Integer code, String desc) {
        this.code = code;
        this.desc = desc;
    }

}
